<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>IPL</title>
    <script src="https://code.highcharts.com/highcharts.js"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
</head>

<body>

    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav">
                <li class="nav-item ">
                    <a class="nav-link" href="http://localhost:3000/">Match Played <span
                            class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item active">
                    <a class="nav-link" href="http://localhost:3000/matchwon">Match Won</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="http://localhost:3000/extraruns">Extra Runs Conceded</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link " href="http://localhost:3000/topeconomic">Top Economical Bowler</a>
                </li>
            </ul>
        </div>
    </nav>
    <h3>Select Year </h3>

    <select name="Year" id="year">
        >

    </select>
    <div id="container1" style="width:100%; height:400px;"></div>

</body>

<script>
    const fetchMatchWonData = function () {
        let matchWonArray = [];
        fetch('http://localhost:3000/matchwonData').then(function (response) {
            response.json().then(function (data) {
                console.log(data)
                //create a dropdown of years and add that to select tag
                let dropdown = '';
                for (key in data) {
                    dropdown += '<option value=' + key + '>' + key + '</option>';
                }
                // add 2008 chart as default
                for (key in data['2008']) {
                    matchWonArray.push([key, data['2008'][key]])
                    displayExtraRunsConcededHighChart('2008', matchWonArray);
                }

                //add onChange event listener to the select tag and send that object to displayExtraRunsConcededHighChart
                let yearDropDown = document.querySelector('#year')
                yearDropDown.innerHTML = dropdown;
                yearDropDown.addEventListener("change", (event) => {
                    matchWonArray = [];
                    let selectedYear = event.target.value;
                    console.log(data[selectedYear])
                    for (key in data[selectedYear]) {
                        matchWonArray.push([key, data[selectedYear][key]])
                    }
                    // console.log(matchWonArray)
                    displayExtraRunsConcededHighChart(selectedYear, matchWonArray);
                })
            }).catch(err => {
                console.log(err)
            })
        });
    }

    function displayExtraRunsConcededHighChart(year, matchWonArray) {

        Highcharts.chart('container1', {
            chart: {
                type: 'column'
            },
            title: {
                text: 'Match Won per Team in ' + year
            },
            xAxis: {
                type: 'category',
                labels: {
                    rotation: -45,
                    style: {
                        fontSize: '13px',
                        fontFamily: 'Verdana, sans-serif'
                    }
                }
            },
            yAxis: {
                min: 0,
                title: {
                    text: 'Match Won'
                }
            },
            legend: {
                enabled: false
            },
            tooltip: {
                pointFormat: 'Match Won in ' + year + ': <b>{point.y:.1f} Runs</b>'
            },
            series: [{
                name: 'Match Won',
                data: matchWonArray,
                dataLabels: {
                    enabled: true,
                    rotation: -90,
                    color: '#FFFFFF',
                    align: 'right',
                    y: 10, // 10 pixels down from the top
                    style: {
                        fontSize: '13px',
                        fontFamily: 'Verdana, sans-serif'
                    }
                }
            }]
        });
    }
    fetchMatchWonData();
</script>

</html>